- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FlowShopObjectiveVectorTraits Class Reference

Definition of the objective vector traits for multi-objective flow-shop problems. More...

`#include <FlowShopObjectiveVectorTraits.h>`

Inheritance diagram for FlowShopObjectiveVectorTraits:

List of all members.

## Static Public Member Functions
static bool | minimizing (int _i)
| Returns true if the _ith objective have to be minimzed.
static bool | maximizing (int _i)
| Returns true if the _ith objective have to be maximzed.
static unsigned int | nObjectives ()
| Returns the number of objectives.

## Detailed Description

Definition of the objective vector traits for multi-objective flow-shop problems.

Definition at line 21 of file FlowShopObjectiveVectorTraits.h.

## Member Function Documentation

bool FlowShopObjectiveVectorTraits::minimizing | ( | int | _i | ) | `[static]`

Returns true if the _ith objective have to be minimzed.

Parameters:

  | _i | index of the objective

Definition at line 16 of file FlowShopObjectiveVectorTraits.cpp.

bool FlowShopObjectiveVectorTraits::maximizing | ( | int | _i | ) | `[static]`

Returns true if the _ith objective have to be maximzed.

Parameters:

  | _i | index of the objective

Definition at line 22 of file FlowShopObjectiveVectorTraits.cpp.

The documentation for this class was generated from the following files:

- FlowShopObjectiveVectorTraits.h
- FlowShopObjectiveVectorTraits.cpp